Subject: Re: [patch 20/21] forcedeth: fix locking bug with netconsole

From: Andrew Morton <[email-masked]>
Date: Fri, 28 Mar 2008 16:42:09 -0700

On Fri, 28 Mar 2008 18:48:46 -0400 Jeff Garzik <[email-masked]> wrote:

> David Miller wrote:
> > From: [email-masked]
> > Date: Fri, 28 Mar 2008 14:41:30 -0700
> > 
> >> From: Ingo Molnar <[email-masked]>
> >>
> >> While using netconsole on forcedeth, lockdep noticed the following locking
> >> bug:
> > 
> > Please do not mix device driver changes with core networking
> > changes.
> 
> FWIW my plan was to snip the net/* stuff and only apply the forcedeth 
> portion.
> 
> (leaving <whomever> to pick up the pieces, should they so desire)
> 

Just drop 'em completely I'd say.

otoh, drivers do seem a bit flakey in the netpoll-support area, so a bit of
extra debug wouldn't hurt.  But checking irqs_disabled() either side of a
udelay() was a bit paranoid ;)